For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
          • Tax Classes
              • GETList Tax Properties
              • POSTCreate Tax Properties
              • PUTUpdate Tax Properties
              • DELDelete Tax Properties
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementTaxTax Properties

Delete Tax Properties

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/tax/properties
DELETE
/stores/:store_hash/v3/tax/properties
$curl -X DELETE "https://api.bigcommerce.com/stores/store_hash/v3/tax/properties?id:in=1" \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Delete one or multiple tax properties. A tax property must have zero usages within product tax properties before you can delete it.
Was this page helpful?
Previous

Update Tax Properties

Next

List Product Tax Properties

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

id:inlist of integersRequired

ID of tax property. To target multiple tax properties, provide a comma-separated list of IDs such as 12,34,56.

Response

No Content

Errors

400
Bad Request Error
409
Conflict Error